<?php
/**
* 設定項目「page」で読み込んだページを表示するページセレクタ
*
* PHP version 5
*
* @package    renderers
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class DefaultPageSelector extends CharcoalComponent implements IPageSelector
{
	private $_page;

	/*
	 *	コンストラクタ
	 */
	public function __construct()
	{
		parent::__construct();
	}

	/*
	 * ページセレクタを初期化する
	 */
	public function init( Config $config )
	{
		$this->_page = $config->getString( s('page') );
	}

	/**
	 *   ページを決定する
	 */
	public function selectPage( String $proc_name, TaskSnapshot $snapshot, Response $response )
	{
		return $this->_page;
	}
}

return __FILE__;